dat = read.table("tuynsc.dat")
names(dat) = c("Case","Age","Age.Group","Tobacco.Group",
               "Tobacco.Amount","Logtob","Beer","Cider",
               "Wine","Aperitif","Digestif","Total.Alcohol","Logacl")
# B&D removed the person under age 25 (was age 21)
dat = dat[dat$Age>=25,]
# B&D used 10 year age categories to adjust for age as a confounder
# with [25,35), [35,45), etc. up to 75+, which is 75 - 91
dat$AgeCat = cut(dat$Age,breaks=c(25,35,45,55,65,75,95),right=FALSE)

fit.full=glm(Case~AgeCat+Total.Alcohol * Logtob,data=dat,family=binomial())
summary(fit.full) # confirms conclusion from B&D that interaction
# is not significant
